﻿using GrapeCity.Windows.SpreadSheet.Data;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SpreadWPF_AutomaticFit
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Spread.Sheets[0].Columns.Count = 1;
            Spread.Sheets[0].Rows.Count = 5;
            Spread.Sheets[0].Columns[0].CanUserResize = false;
            Spread.Sheets[0].Rows[0].CanUserResize = false;
            Spread.Sheets[0].Rows[1].CanUserResize = false;
            Spread.Sheets[0].Cells[0, 0].Text = "Thank you for choosing Spread WPF";
            Spread.Sheets[0].Cells[1, 0].Text = "With Spread WPF you can develop feature-rich user interfaces";
            Spread.Sheets[0].Cells[2, 0].Text = "Use Spread WPF to develop front-ends to database applications and give your users access to multiple sheets";
            Spread.Sheets[0].Cells[3, 0].Text = "Spread WPF gives you user-interface design and back-end calculation efficiency";

    double cellWidth = 0.0F;
    for (int r = 0; r < Spread.ActiveSheet.Rows.Count; r++)
        for (int c = 0; c < Spread.ActiveSheet.Columns.Count; c++)
        {
            var formattedText = new FormattedText(Spread.Sheets[0].Cells[r, c].Text, CultureInfo.CurrentUICulture,
FlowDirection.LeftToRight, new Typeface("Arial"), FontSize = 14, System.Windows.Media.Brushes.Black);
            if (cellWidth < formattedText.Width)
            {
                cellWidth = formattedText.Width;
            }
            else
                Spread.ActiveSheet.Columns[c].Width = cellWidth;
        }
        }
    }
}
